Package org.codehaus.plexus.util

# Class DirectoryWalker

java.lang.Object
org.codehaus.plexus.util.DirectoryWalker

public class DirectoryWalker extends Object
DirectoryWalker

## Constructor Summary

Constructors
Constructor
Description
`DirectoryWalker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDirectoryWalkListener(DirectoryWalkListener listener)`
`void`
`addExclude(String exclude)`
`void`
`addInclude(String include)`
`void`
`addSCMExcludes()`
Add's to the Exclude List the default list of SCM excludes.
`File`
`getBaseDir()`
`List<String>`
`getExcludes()`
`List<String>`
`getIncludes()`
`void`
`removeDirectoryWalkListener(DirectoryWalkListener listener)`
Removes a DirectoryWalkListener.
`void`
`scan()`
Performs a Scan against the provided `setBaseDir(File)`
`void`
`setBaseDir(File baseDir)`
`void`
`setDebugMode(boolean debugEnabled)`
`void`
`setExcludes(List<String> entries)`
`void`
`setIncludes(List<String> entries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryWalker

public DirectoryWalker()

## Method Details

### addDirectoryWalkListener

public void addDirectoryWalkListener(DirectoryWalkListener listener)

### addExclude

public void addExclude(String exclude)

### addInclude

public void addInclude(String include)

### addSCMExcludes

public void addSCMExcludes()
Add's to the Exclude List the default list of SCM excludes.

### setDebugMode

public void setDebugMode(boolean debugEnabled)

### getBaseDir

public File getBaseDir()

Returns:
  Returns the baseDir.

### getExcludes

public List<String> getExcludes()

Returns:
  Returns the excludes.

### getIncludes

public List<String> getIncludes()

Returns:
  Returns the includes.

### removeDirectoryWalkListener

public void removeDirectoryWalkListener(DirectoryWalkListener listener)
Removes a DirectoryWalkListener.

Parameters:
  `listener` - the listener to remove.

### scan

public void scan()
Performs a Scan against the provided `setBaseDir(File)`

### setBaseDir

public void setBaseDir(File baseDir)

Parameters:
  `baseDir` - The baseDir to set.

### setExcludes

public void setExcludes(List<String> entries)

Parameters:
  `entries` - The excludes to set.

### setIncludes

public void setIncludes(List<String> entries)

Parameters:
  `entries` - The includes to set.